include:
  - project: ${CI_PROJECT_ROOT_NAMESPACE}/ci-cd
    ref: main
    file:
      - rust/projects/libs.yml

vendors:
  extends:
    - .vendors
  before_script:
    - !reference [.vendors, before_script]

    - |
      if [ -d ../$JWT_NAME ]; then
        echo "$JWT_NAME lib already exists"
      else
        apk add git
        git clone --depth 5 $PROJECT_PATH/${JWT_LIB_REPO} ../$JWT_NAME
      fi
  cache:
    !reference [.cache_vendors_common_libs_pull_push_key]

tests:
  cache: []
  script:
    - echo "Nothing to test"